Subject: RE: Rebuild of Apache REQUIRED to add SSL???

From: "Boyle Owen" <[email-masked]>
Date: Tue, 1 Oct 2002 09:09:18 +0200

In order to add mod_ssl to apache, you must recompile. The reason is that the apache core code is equipped with an application programming interface (API) which makes it relatively easy for people to write third-party modules and integrate them with apache. However, mod_ssl is a bit special since it needs to call routines in the OpenSSL library. This is not covered by the standard API. So in order to load mod_ssl, you need to extend the API to include openssl hooks. This is done during the configure stage when building apache with mod_ssl - the mod_ssl configure script patches the apache source code to extend the API (hence EAPI).
 
A plain compilation of apache with mod_ssl is not too difficult and should go smoothly on Linux - check out the documentation at the mod_ssl site or http://www.delouw.ch/linux/Apache-Compile-HOWTO/html/apache.html for a user's perspective on it.
 
PS you'd also get to upgrade to 1.3.26 - your version is a bit out-of-date..
 
 -----Original Message-----
From: Tony Libby [mailto:[email-masked]]
Sent: Montag, 30. September 2002 19:59
To: [email-masked]
Subject: Rebuild of Apache REQUIRED to add SSL???

I'm looking into adding SSL ability to my Apache server.
 
Apache version 1.3.22 running on Red Hat Linux 7.2
 
MUST I REBUILD THE SERVER?
 
I don't really want to do this as everything is running nicely now.
 
If I have to rebuild, what is the SAFEST way?
 
Thanks for your help!
-Tony